Package org.tmatesoft.svn.core.wc2.admin

# Class SvnRepositoryPack

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<SVNAdminEvent>
org.tmatesoft.svn.core.wc2.SvnReceivingOperation<SVNAdminEvent>
org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation<SVNAdminEvent>
org.tmatesoft.svn.core.wc2.admin.SvnRepositoryPack

All Implemented Interfaces:
  `ISvnObjectReceiver<SVNAdminEvent>`, `ISvnOperationOptionsProvider`

public class SvnRepositoryPack extends SvnRepositoryReceivingOperation<SVNAdminEvent>

## Constructor Summary

Constructors
Constructor
Description
`SvnRepositoryPack(SvnOperationFactory factory)`

## Method Summary

### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation

`getRepositoryRoot, setRepositoryRoot`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, initDefaults, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnRepositoryPack

public SvnRepositoryPack(SvnOperationFactory factory)